 /*
 *  file      : configuser.h
 *  project   : xcfa
 *  with      : Gtk-2
 *
 *  copyright : (C) 2003 - 2013 by Claude Bulin
 *
 *  xcfa - GTK+ implementation of the GNU shell command
 *  GNU General Public License
 *
 *  This file is part of XCFA.
 *
 *  XCFA is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  at your option) any later version.
 *
 *  XCFA is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with XCFA.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef configuser_h
#define configuser_h 1



typedef struct {
	gboolean	BoolConfigOk;				// Attendre la fin de la config.: Voir main.c
	gulong		UsesOf;						// 0 to G_MAXULONG ( 18446744073709551615 )
	gint		WinPos_X;					//
	gint		WinPos_Y;					//
	gint		WinWidth;					//
	gint		WinHeight;					//

	gchar		*PathName_channel_conf;		//

} VAR_CONFIG;

extern VAR_CONFIG Config;
extern VAR_CONFIG ConfigSaveToRest;

void	config_read(void);
void	config_save (void);
void	config_remove (void);

#endif

